import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import '../../util/session.dart';

class RevisePasswordPage extends StatefulWidget {
  final Widget child;

  RevisePasswordPage({
    Key key,
    this.child
  }): super(key: key);

  _RevisePasswordPageState createState() => _RevisePasswordPageState();
}

class _RevisePasswordPageState extends State < RevisePasswordPage > {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        elevation: 0,
        title: Text('修改密码',
          style: TextStyle(
            fontSize: ScreenUtil.getInstance().setSp(36)
          ), ),
        centerTitle: true,
        backgroundColor: Color.fromRGBO(64, 98, 254, 1),
      ),
      body: Container(
        color: Colors.white,
        child: Column(
          children: < Widget > [
            Container(
              padding: EdgeInsets.fromLTRB(ScreenUtil.getInstance().setHeight(55), ScreenUtil.getInstance().setHeight(150), ScreenUtil.getInstance().setHeight(55), 0),
              child: Column(
                children: < Widget > [
                  Padding(
                    padding: EdgeInsets.only(bottom: ScreenUtil.getInstance().setHeight(60)),
                    child: TextField(
                      decoration: InputDecoration(
                        border: UnderlineInputBorder(),
                        hintText: "请输入旧密码",
                        hintStyle: TextStyle(fontSize: ScreenUtil.getInstance().setSp(32), color: Color.fromRGBO(155, 155, 155, 1)),
                      ),
                    ),
                  ),
                  Padding(
                    padding: EdgeInsets.only(bottom: ScreenUtil.getInstance().setHeight(125)),
                    child:TextField(
                    cursorColor: Color.fromRGBO(153, 153, 153, 0.5),
                    decoration: InputDecoration(
                      hintText: "请输入新密码",
                      hintStyle: TextStyle(fontSize: ScreenUtil.getInstance().setSp(32), color: Color.fromRGBO(155, 155, 155, 1)),
                    ),
                  )
                  ),
                  InkWell(
                    child:Container(
                    height: ScreenUtil.getInstance().setHeight(100),
                    decoration: BoxDecoration(
                      color: Color.fromRGBO(64,98,254,1),
                      borderRadius: BorderRadius.circular(4),
                    ),
                    child: Center(
                      child: Text('确认',style:TextStyle(fontSize:ScreenUtil.getInstance().setSp(36),color: Colors.white )),
                    ),
                  ), 
                  onTap: (){
                   getKey('phone').then((value){
                       print(value);
                   });
                 
                  },
                  )
                  
                ],
              ),
            )
          ],
        ),
      ),
    );
  }
}